pcl::FeatureHistogram Class Reference
Module common

Type for histograms for computing mean and variance of some floats. More...

`#include <pcl/common/feature_histogram.h>`

## Public Member Functions

| FeatureHistogram (const std::size_t number_of_bins, const float min, const float max)
| Public constructor. More...
virtual | ~FeatureHistogram ()
| Public destructor. More...
float | getThresholdMin () const
| Get the lower threshold. More...
float | getThresholdMax () const
| Get the upper threshold. More...
std::size_t | getNumberOfElements () const
| Get the number of elements was added to the histogram. More...
std::size_t | getNumberOfBins () const
| Get number of bins in the histogram. More...
void | addValue (float value)
| Increase a bin, that corresponds the value. More...
float | getMeanValue ()
| Get value, corresponds to the greatest bin. More...
float | getVariance (float mean)
| Get variance of the value. More...

## Protected Attributes

std::vector< unsigned > | histogram_
| Vector, that contain the histogram. More...
float | threshold_min_
| Min threshold. More...
float | threshold_max_
| Max threshold. More...
float | step_
| "Width" of a bin. More...
std::size_t | number_of_elements_
| Number of values was added to the histogram. More...
std::size_t | number_of_bins_
| Number of bins. More...

## Detailed Description

Type for histograms for computing mean and variance of some floats.

Author
  Timur Ibadov (ibado.nosp@m.v.ti.nosp@m.mur@g.nosp@m.mail.nosp@m..com)

Definition at line 50 of file feature_histogram.h.

## Constructor & Destructor Documentation

## FeatureHistogram()

pcl::FeatureHistogram::FeatureHistogram | ( | const std::size_t | number_of_bins,
|  | const float | min,
|  | const float | max
| ) |  |

Public constructor.

Parameters

  [in] | number_of_bins | number of bins in the histogram.
  [in] | min | lower threshold.
  [in] | max | upper threshold.

## ~FeatureHistogram()

virtual pcl::FeatureHistogram::~FeatureHistogram | ( |  | ) |

virtual

Public destructor.

## Member Function Documentation

## addValue()

void pcl::FeatureHistogram::addValue | ( | float | value | ) |

Increase a bin, that corresponds the value.

Parameters

  [in] | value | new value.

## getMeanValue()

float pcl::FeatureHistogram::getMeanValue | ( |  | ) |

Get value, corresponds to the greatest bin.

Returns
  mean value of the greatest bin.

## getNumberOfBins()

std::size_t pcl::FeatureHistogram::getNumberOfBins | ( |  | ) | const

Get number of bins in the histogram.

Returns
  number of bins in the histogram.

## getNumberOfElements()

std::size_t pcl::FeatureHistogram::getNumberOfElements | ( |  | ) | const

Get the number of elements was added to the histogram.

Returns
  number of elements in the histogram.

## getThresholdMax()

float pcl::FeatureHistogram::getThresholdMax | ( |  | ) | const

Get the upper threshold.

Returns
  upper threshold.

## getThresholdMin()

float pcl::FeatureHistogram::getThresholdMin | ( |  | ) | const

Get the lower threshold.

Returns
  lower threshold.

## getVariance()

float pcl::FeatureHistogram::getVariance | ( | float | mean | ) |

Get variance of the value.

Returns
  variance of the greatest bin.

## Member Data Documentation

## histogram_

std::vector<unsigned> pcl::FeatureHistogram::histogram_

protected

Vector, that contain the histogram.

Definition at line 108 of file feature_histogram.h.

## number_of_bins_

std::size_t pcl::FeatureHistogram::number_of_bins_

protected

Number of bins.

Definition at line 121 of file feature_histogram.h.

## number_of_elements_

std::size_t pcl::FeatureHistogram::number_of_elements_

protected

Number of values was added to the histogram.

Definition at line 118 of file feature_histogram.h.

## step_

float pcl::FeatureHistogram::step_

protected

"Width" of a bin.

Definition at line 115 of file feature_histogram.h.

## threshold_max_

float pcl::FeatureHistogram::threshold_max_

protected

Max threshold.

Definition at line 113 of file feature_histogram.h.

## threshold_min_

float pcl::FeatureHistogram::threshold_min_

protected

Min threshold.

Definition at line 111 of file feature_histogram.h.

The documentation for this class was generated from the following file:

- pcl/common/feature_histogram.h